Saltar al contenido principal
POST
/
api
/
v1
/
energy
/
activate
Activar direccion
curl --request POST \
  --url https://api.example.com/api/v1/energy/activate \
  --header 'Content-Type: application/json' \
  --data '
{
  "address": "<string>"
}
'
{
  "success": true,
  "tx_hash": "<string>"
}

Activar direccion

Activa una direccion TRON que nunca ha recibido ninguna transaccion. Es necesario antes de que la direccion pueda recibir tokens. Costo: 1.1 TRX (se deduce de tu saldo)

Cuerpo de la solicitud

address
string
requerido
Direccion TRON a activar (formato T…)

Respuesta

success
boolean
Si la activacion fue exitosa
tx_hash
string
Hash de la transaccion de activacion

Ejemplo

curl -X POST https://api.tronrental.com/v1/energy/activate \
  -H "X-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{"address": "TNewInactiveAddress..."}'
Response
{
  "success": true,
  "tx_hash": "a1b2c3d4e5f6..."
}